scrolltable,
main,
data,
datalist,
top,
row,
cell {
    display: block;
}

scrolltable {
    margin: 0 auto;
    position: relative;
}

main {
    float: left;
}

data {
    left: 2px;
    overflow: hidden;
    position: relative;
    top: 0;
}

data top cell:first-of-type,
data row cell:first-of-type,
data cell.first {
    margin-left: 0;
}

top,
row,
cell {
    height: 20px;
    line-height: 20px;
}

top {
    margin-bottom: 2px;
}

row {
    margin-top: 2px;
}

cell {
    float: left;
    margin-left: 2px;
}

main top cell:first-of-type,
main row cell:first-of-type {
    margin-left: 0;
}

.with-summary .summary {
    border-left: 2px solid #ffffff;
    margin-left: 0;
    position: absolute;
    z-index: 10;
}

.with-summary data .summary {
    border-top: 2px solid #ffffff;
    margin-top: 0;
}

/* Tablet/Desktop Layouts: min-width 481px */
@media only screen and (min-width: 481px) {
    scrolltable.scrollable {
        width: 100% !important;
    }

    scrolltable.scrollable.scroll-xy data {
        overflow: scroll;
    }

    scrolltable.scrollable.scroll-x data {
        overflow-x: scroll;
    }

    scrolltable.scrollable.scroll-y data {
        overflow-x: scroll;
    }

    scrolltable.scrollable.no-scrollbar data {
        overflow: -moz-scrollbars-none;
        -ms-overflow-style: none;
        scrollbar-width: none;
    }

    scrolltable.scrollable.no-scrollbar data::-webkit-scrollbar {
        width: 0 !important;
    }

    /* Scroll Shadow */
    scrolltable.scrollable.shadow-l:before,
    scrolltable.scrollable.shadow-r:after {
        background-color: #008800;
        content: " ";
        display: block;
        height: 100%;
        position: absolute;
        top: 0;
        width: 20px;
        z-index: 100;
    }
    scrolltable.scrollable.shadow-l:before {
        background: linear-gradient(to right, rgba(48, 48, 48, 0.65) 0%, rgba(48, 48, 48, 0) 100%);
        background: -moz-linear-gradient(left, rgba(48, 48, 48, 0.65) 0%, rgba(48, 48, 48, 0) 100%);
        background: -webkit-linear-gradient(left, rgba(48, 48, 48, 0.65) 0%, rgba(48, 48, 48, 0) 100%);
        left: 0;
    }
    scrolltable.scrollable.shadow-r:after {
        background: linear-gradient(to left, rgba(48, 48, 48, 0.65) 0%, rgba(48, 48, 48, 0) 100%);
        background: -moz-linear-gradient(right, rgba(48, 48, 48, 0.65) 0%, rgba(48, 48, 48, 0) 100%);
        background: -webkit-linear-gradient(right, rgba(48, 48, 48, 0.65) 0%, rgba(48, 48, 48, 0) 100%);
        right: 0;
    }

    scrolltable.scrollable.shadow-l[data-scroll-height="1"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="1"]:after {
        height: calc(100% - 1px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="2"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="2"]:after {
        height: calc(100% - 2px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="3"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="3"]:after {
        height: calc(100% - 3px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="4"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="4"]:after {
        height: calc(100% - 4px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="5"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="5"]:after {
        height: calc(100% - 5px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="6"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="6"]:after {
        height: calc(100% - 6px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="7"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="7"]:after {
        height: calc(100% - 7px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="8"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="8"]:after {
        height: calc(100% - 8px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="9"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="9"]:after {
        height: calc(100% - 9px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="10"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="10"]:after {
        height: calc(100% - 10px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="11"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="11"]:after {
        height: calc(100% - 11px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="12"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="12"]:after {
        height: calc(100% - 12px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="13"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="13"]:after {
        height: calc(100% - 13px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="14"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="14"]:after {
        height: calc(100% - 14px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="15"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="15"]:after {
        height: calc(100% - 15px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="16"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="16"]:after {
        height: calc(100% - 16px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="17"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="17"]:after {
        height: calc(100% - 17px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="18"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="18"]:after {
        height: calc(100% - 18px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="19"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="19"]:after {
        height: calc(100% - 19px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="20"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="20"]:after {
        height: calc(100% - 10px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="21"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="21"]:after {
        height: calc(100% - 21px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="22"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="22"]:after {
        height: calc(100% - 22px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="23"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="23"]:after {
        height: calc(100% - 23px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="24"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="24"]:after {
        height: calc(100% - 24px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="25"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="25"]:after {
        height: calc(100% - 25px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="26"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="26"]:after {
        height: calc(100% - 26px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="27"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="27"]:after {
        height: calc(100% - 27px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="28"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="28"]:after {
        height: calc(100% - 28px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="29"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="29"]:after {
        height: calc(100% - 29px);
    }
    scrolltable.scrollable.shadow-l[data-scroll-height="30"]:before,
    scrolltable.scrollable.shadow-r[data-scroll-height="30"]:after {
        height: calc(100% - 30px);
    }
}

/* Non-responsive scrolltable (same as the media query above) */
scrolltable.scrolltable-non-responsive.scrollable {
    width: 100% !important;
}

scrolltable.scrolltable-non-responsive.scrollable.scroll-xy data {
    overflow: scroll;
}

scrolltable.scrolltable-non-responsive.scrollable.scroll-x data {
    overflow-x: scroll;
}

scrolltable.scrolltable-non-responsive.scrollable.scroll-y data {
    overflow-x: scroll;
}

scrolltable.scrolltable-non-responsive.scrollable.no-scrollbar data {
    overflow: -moz-scrollbars-none;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

scrolltable.scrolltable-non-responsive.scrollable.no-scrollbar data::-webkit-scrollbar {
    width: 0 !important;
}

/* Scroll Shadow */
scrolltable.scrolltable-non-responsive.scrollable.shadow-l:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r:after {
    background-color: #008800;
    content: " ";
    display: block;
    height: 100%;
    position: absolute;
    top: 0;
    width: 20px;
    z-index: 100;
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l:before {
    background: linear-gradient(to right, rgba(48, 48, 48, 0.65) 0%, rgba(48, 48, 48, 0) 100%);
    background: -moz-linear-gradient(left, rgba(48, 48, 48, 0.65) 0%, rgba(48, 48, 48, 0) 100%);
    background: -webkit-linear-gradient(left, rgba(48, 48, 48, 0.65) 0%, rgba(48, 48, 48, 0) 100%);
    left: 0;
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-r:after {
    background: linear-gradient(to left, rgba(48, 48, 48, 0.65) 0%, rgba(48, 48, 48, 0) 100%);
    background: -moz-linear-gradient(right, rgba(48, 48, 48, 0.65) 0%, rgba(48, 48, 48, 0) 100%);
    background: -webkit-linear-gradient(right, rgba(48, 48, 48, 0.65) 0%, rgba(48, 48, 48, 0) 100%);
    right: 0;
}

scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="1"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="1"]:after {
    height: calc(100% - 1px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="2"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="2"]:after {
    height: calc(100% - 2px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="3"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="3"]:after {
    height: calc(100% - 3px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="4"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="4"]:after {
    height: calc(100% - 4px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="5"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="5"]:after {
    height: calc(100% - 5px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="6"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="6"]:after {
    height: calc(100% - 6px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="7"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="7"]:after {
    height: calc(100% - 7px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="8"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="8"]:after {
    height: calc(100% - 8px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="9"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="9"]:after {
    height: calc(100% - 9px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="10"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="10"]:after {
    height: calc(100% - 10px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="11"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="11"]:after {
    height: calc(100% - 11px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="12"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="12"]:after {
    height: calc(100% - 12px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="13"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="13"]:after {
    height: calc(100% - 13px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="14"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="14"]:after {
    height: calc(100% - 14px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="15"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="15"]:after {
    height: calc(100% - 15px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="16"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="16"]:after {
    height: calc(100% - 16px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="17"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="17"]:after {
    height: calc(100% - 17px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="18"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="18"]:after {
    height: calc(100% - 18px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="19"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="19"]:after {
    height: calc(100% - 19px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="20"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="20"]:after {
    height: calc(100% - 10px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="21"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="21"]:after {
    height: calc(100% - 21px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="22"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="22"]:after {
    height: calc(100% - 22px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="23"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="23"]:after {
    height: calc(100% - 23px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="24"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="24"]:after {
    height: calc(100% - 24px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="25"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="25"]:after {
    height: calc(100% - 25px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="26"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="26"]:after {
    height: calc(100% - 26px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="27"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="27"]:after {
    height: calc(100% - 27px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="28"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="28"]:after {
    height: calc(100% - 28px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="29"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="29"]:after {
    height: calc(100% - 29px);
}
scrolltable.scrolltable-non-responsive.scrollable.shadow-l[data-scroll-height="30"]:before,
scrolltable.scrolltable-non-responsive.scrollable.shadow-r[data-scroll-height="30"]:after {
    height: calc(100% - 30px);
}

/* Mobile Layouts: max-width 480px */
@media only screen and (max-width: 480px) {
    scrolltable:not(.scrolltable-non-responsive) {
        width: 100% !important;
    }

    scrolltable:not(.scrolltable-non-responsive) top {
        display: none;
    }

    scrolltable:not(.scrolltable-non-responsive) data cell {
        margin-left: 0;
    }
}
